summarylogtreecommitdiffstats
path: root/brother-mfc-l8850cdw.install
diff options
context:
space:
mode:
authorloqy2021-12-21 03:39:03 -0600
committerloqy2021-12-21 03:39:03 -0600
commit605fc17afe37c811a4e6f89e264406652f0ef1b6 (patch)
tree2ba9c6ae4c8be55768fd1ffaa458d453154222ff /brother-mfc-l8850cdw.install
parent88274091347126bdfbc21f1f148b08860023fe16 (diff)
downloadaur-605fc17afe37c811a4e6f89e264406652f0ef1b6.tar.gz
update cupswrapper to 1.1.3-1
Diffstat (limited to 'brother-mfc-l8850cdw.install')
-rw-r--r--brother-mfc-l8850cdw.install17
1 files changed, 15 insertions, 2 deletions
diff --git a/brother-mfc-l8850cdw.install b/brother-mfc-l8850cdw.install
index e14e5f5e00da..292ce5b74aaf 100644
--- a/brother-mfc-l8850cdw.install
+++ b/brother-mfc-l8850cdw.install
@@ -3,9 +3,22 @@ post_install() {
}
post_upgrade() {
- /opt/brother/Printers/mfcl8850cdw/cupswrapper/cupswrappermfcl8850cdw >/dev/null
+ /opt/brother/Printers/mfcl8850cdw/cupswrapper/cupswrappermfcl8850cdw > /dev/null
if [ "$?" -eq 0 ]; then
- printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. If this is a network printer, please go to http://localhost:631/printers and modify it like so:\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m \"LPD/LPR Host or Printer\" or \"AppSocket/HP JetDirect\" for Device\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m lpd://(Your printer's IP address)/binary_p1 for Device URI"
+ printf "Brother for Make/Manufacturer Selection"
+ printf "Your printer's name for Model/Driver Selection"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
+}
+
+pre_remove() {
+ /opt/brother/Printers/mfcl8850cdw/cupswrapper/cupswrappermfcl8850cdw -e > /dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. Make sure your printer is removed here: http://localhost:631/printers"
else
printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
fi